CATAN(3)

NAME
catan, catanf, catanl - complex arc tangents

SYNOPSIS
#include <complex.h>

double complex catan(double complex z);
float complex catanf(float complex z);
long double complex catanl(long double complex z);

Link with -lm.

DESCRIPTION
The catan() function calculates the complex arc tangent of z. If y = catan(z), then z = ctan(y). The real part of y is chosen in the interval [-pi/2,pi/2].

One has:

    catan(z) = 1 / 2i clog((1 + iz) / (1 - iz))

CONFORMING TO
C99

SEE ALSO
ccos(3), clog(3), complex(7)

COLOPHON
This page is part of release 2.76 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.